<?php
$args = isset( $args ) ? $args : array(
	'license' => '',
	'status'  => false,
	'nonce'   => false
);
?>
<div class="wrap">
    <form method="POST" action="">
		<?php echo $args['nonce']; ?>
        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row">
					<?php _e( 'License Key', 'woo-preview-emails-pro' ); ?>
                </th>
                <td>
                    <label for="license_key"><input id="license_key"
                                                    name="license_key"
                                                    type="password"
                                                    class="regular-text"
                                                    value="<?php echo esc_attr( $args['license'] ); ?>"
                                                    required="required"
                        /></label>
                    <p class="description" for="license_key"><?php _e( 'Enter your license key', 'woo-preview-emails-pro' ); ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row">
					<?php _e( 'License', 'woo-preview-emails-pro' ); ?>
                </th>
                <td>
					<?php wp_nonce_field( 'woo_preview_emails_licensing_nonce', 'woo_preview_emails_licensing_nonce' ); ?>
					<?php if ( $args['status'] !== false && $args['status'] == 'valid' ) { ?>
                        <span style="background: green;display: block;padding: 10px;margin-bottom: 10px;width: 117px;color: #fff;text-align: center;text-transform: uppercase;font-weight: 800;"><?php _e( 'Activated', 'woo-preview-emails-pro' ); ?></span>
                        <input type="submit"
                               class="button button-primary"
                               name="deactivate_the_license"
                               value="<?php _e( 'Deactivate License', 'woo-preview-emails-pro' ); ?>"
                        />
					<?php } else { ?>
                        <input type="submit" class="button button-primary" name="license_activate" value="<?php _e( 'Save and Activate License', 'woo-preview-emails-pro' ); ?>"/>
					<?php } ?>
                </td>
            </tr>
            </tbody>
        </table>
    </form>
</div>